Name:          ibus-hiragana
Version:       1.0.1
Release:       %autorelease
Summary:       Hiragana IME for IBus
License:       Apache-2.0 AND GPL-2.0-or-later AND CC-BY-SA-3.0
URL:           https://github.com/esrille/%{name}
Source0:       https://github.com/esrille/%{name}/releases/download/v1.0.1/%{name}-1.0.1.tar.xz
Requires:      ibus >= 1.5.11
Requires:      python3
Requires:      python3-dbus
Requires:      python3-pip
Requires:      python3-pyxdg
Requires:      python3-wheel
Requires:      yelp
BuildRequires: gtk-update-icon-cache
BuildRequires: gettext-devel
BuildRequires: ibus-devel
BuildRequires: libtool
BuildRequires: meson >= 0.53.0
BuildRequires: pkgconfig
BuildRequires: python3-devel
BuildRequires: python3-markdown
BuildArch:     noarch

%description
Hiragana IME for IBus.

%global __python %{__python3}

%prep
%autosetup

%build
%meson -Dtests=false
%meson_build

%install
%meson_install
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README.md
%license COPYING LICENSE NOTICE
%{_datadir}/%{name}
%{_datadir}/ibus/component/*
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.engine.hiragana.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/ibus-hiragana.svg
%{_datadir}/icons/hicolor/scalable/apps/ibus-setup-hiragana.svg
%{_libexecdir}/ibus-engine-hiragana
%{_libexecdir}/ibus-postinst-hiragana
%{_libexecdir}/ibus-setup-hiragana
%{_mandir}/man1/ibus-hiragana-tool.1*
%{_mandir}/ja/man1/ibus-hiragana-tool.1*

%changelog
* Sun Nov 17 2024 Esrille Inc. <info@esrille.com> - 1.0.1-1
- See https://github.com/esrille/ibus-hiragana/releases/tag/v1.0.1

* Wed Oct 30 2024 Esrille Inc. <info@esrille.com> - 1.0-1
- See https://github.com/esrille/ibus-hiragana/releases/tag/v1.0

* Wed Oct 02 2024 Esrille Inc. <info@esrille.com> - 0.15.12-1
- See https://github.com/esrille/ibus-hiragana/releases/tag/v0.15.12

* Mon Sep 30 2024 Esrille Inc. <info@esrille.com> - 0.15.11-1
- See https://github.com/esrille/ibus-hiragana/releases/tag/v0.15.11

* Mon Aug 26 2024 Esrille Inc. <info@esrille.com> - 0.15.10-1
- See https://github.com/esrille/ibus-hiragana/releases/tag/v0.15.10

* Wed Aug 21 2024 Esrille Inc. <info@esrille.com> - 0.15.9-1
- See https://github.com/esrille/ibus-hiragana/releases/tag/v0.15.9

* Mon Aug 19 2024 Esrille Inc. <info@esrille.com> - 0.15.8-1
- See https://github.com/esrille/ibus-hiragana/releases/tag/v0.15.8

* Tue Jul 23 2024 Esrille Inc. <info@esrille.com> - 0.15.7-1
- See https://github.com/esrille/ibus-hiragana/releases/tag/v0.15.7

* Fri Jun 14 2024 Esrille Inc. <info@esrille.com> - 0.15.6-1
- See https://github.com/esrille/ibus-hiragana/releases/tag/v0.15.6

* Sat May 11 2024 Esrille Inc. <info@esrille.com> - 0.15.5-1
- See https://github.com/esrille/ibus-hiragana/releases/tag/v0.15.5

* Sun Apr 28 2024 Esrille Inc. <info@esrille.com> - 0.15.4-1
- See https://github.com/esrille/ibus-hiragana/releases/tag/v0.15.4

* Thu Mar 28 2024 Esrille Inc. <info@esrille.com> - 0.15.3-1
- See https://github.com/esrille/ibus-hiragana/releases/tag/v0.15.3

* Wed Oct 11 2023 Esrille Inc. <info@esrille.com> - 0.15.2-1
- See https://github.com/esrille/ibus-hiragana/releases/tag/v0.15.2

* Sun Jun 25 2023 Esrille Inc. <info@esrille.com> - 0.15.1-1
- See https://github.com/esrille/ibus-hiragana/releases/tag/v0.15.1

* Sun Feb 19 2023 Esrille Inc. <info@esrille.com> - 0.15.0-1
- See https://github.com/esrille/ibus-hiragana/releases/tag/v0.15.0
